Bug 250772 - graphics/drm-current-kmod: panic: acquiring blockable sleep lock with spinlock or critical section held (sleep mutex) linuxkpi_short_wq @ /usr/src/sys/kern/subr_taskqueue.c:281
Summary: graphics/drm-current-kmod: panic: acquiring blockable sleep lock with spinloc...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-x11 (Nobody)
URL:
Keywords: panic
Depends on:
Blocks:
 
Reported: 2020-11-01 12:25 UTC by Mateusz Piotrowski
Modified: 2021-01-17 11:58 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (x11)


Attachments
Parts of core.txt.0 (23.05 KB, text/plain)
2020-11-01 12:25 UTC, Mateusz Piotrowski
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mateusz Piotrowski freebsd_committer 2020-11-01 12:25:42 UTC
Created attachment 219271 [details]
Parts of core.txt.0

I'm experience kernel panics recently when I resize browser windows too quickly. It happens no matter if I Chrome or Firefox.

System details:
- FreeBSD 13.0-CURRENT r367038
- drm-current-kmod-5.4.62.g20201003
Comment 1 Mateusz Piotrowski freebsd_committer 2020-11-01 22:57:47 UTC
I happens a couple of times a day even when I visit heavy websites with a lot of motion (even if I don't resize a browser window but).

I'll be happy to provide more info if needed.
Comment 2 Vladimir Kondratyev freebsd_committer 2021-01-16 22:11:42 UTC
See https://github.com/freebsd/drm-kmod/pull/39

I do not know why it is not get pulled/committed.
Comment 3 Mateusz Piotrowski freebsd_committer 2021-01-16 22:16:59 UTC
(In reply to Vladimir Kondratyev from comment #2)
Ach, thanks. I'll take a look.
Comment 4 Emmanuel Vadot freebsd_committer 2021-01-17 11:58:59 UTC
(In reply to Vladimir Kondratyev from comment #2)
I simply forgot, it's done now.
Thanks